POST /interaction/v1/interactions/journeyhistory/estimate
Returns an estimate of the number of rows that the journey history download request generates for a given query. The response also includes an estimate of the file size in bytes, with and without compression. The syntax of this operation is similar to the syntax of the journey history download request operation. The endpoint, response body, and headers differ between the two operations.
We recommend that you request an estimate before you submit a journey history download request. If the compressed file size estimate exceeds 1 GB, limit the scope of the request to include less data.
URL Parameters
Name
Type
Description
columns
String
Comma-separated list of columns to download. The default value is TransactionTime, ContactKey, Status, DefinitionId, DefinitionName, ActivityId, ActivityName, ActivityType. Possible values:
ActivityId
ActivityName
ActivityType
ClientStatus
ContactKey
CreatedDate
DefinitionId
DefinitionInstanceId
DefinitionName
EndDate
EntrySource
EpochTimeInMilliseconds
EventId
EventName
Id
Message
OutcomeActivityId
Result.Messages
Result.Outcome
Result.Status
Result.Tags
SourceType
StartDate
Status
TransactionTime
format
String
The format to use for the output file. The default value is csv. Possible values:
csv
tsv
JSON Parameters
The request body can contain any of the values in this table.
Name
Type
Description
activityIds
Array
A list of activity IDs to retrieve events for.
activityTypes
Array
A list of activity types to retrieve events for. Possible values:
abntest
abnteststop
activeaudiencejourneyactivity
einsteinengagementfrequencysplit
emailv2
engagementdecision
exitcriteriaactivity
goalcriteriaactivity
inappsyncactivity
multicriteriadecision
multicriteriadecisionextension
pushinboxactivity
pushnotificationactivity
pushsync
randomsplit
rest
restdecision
salescloudactivity
salesforceleadconversionactivity
sendtolinesync
smssync
startinteractionactivity
stopinteractionactivity
stowait
trigger
updatecontactdata
wait
waitactivity
waituntilapi
waituntilchatresponse
waituntilpushengagement
whatsappactivity
contactKeys
Array
A comma-separated list of contact keys to retrieve events for.
definitionIds
Array
A list of definition (journey) IDs to retrieve events for.
definitionInstanceIds
Array
A list of definition instance IDs to retrieve events for.
end
String
The end date and time for the query, in ISO 8601 format.
start
String
The start date and time for the query, in ISO 8601 format.
statuses
Array
A list of statuses to retrieve events for. Possible values:
Active
Complete
ContactAlreadyInInteraction
ContactExitedAsOutOfMarketAudienceSegment
ContactExitedByApi
ContactIsDeleted
ContactIsRestricted
ContactKeyNotProvided
ContactNotFound
ContactObjectNull
ContactPreviouslyInSameInteraction
ContactStatusIsUnknown
CouldNotParseInteractionId
CurrentlyWaitingInSameInteraction
Deactivated
DidNotMeetEntryCriteria
ErrorDeterminingInitialActivity
ErrorOccurredinProcessing
ErrorProcessingWaitActivity
ErrorValidatingContact
ExitCriteriaMet
Failed
GoalCriteriaAlreadyMet
GoalCriteriaMet
GoalCriteriaMetInWait
GoalCriteriaNotMet
GoalNotDefined
InteractionNotPublished
InvalidInteractionId
MetCriteria
MovedToHigherPriorityInteraction
NotEvaluatingEntryCriteria
StoppedByUser
UnableToDeserializeMessage
Unknown
WaitActivtyAlreadyProcessed
Waiting
WaitingForAsync
WaitUntilEventCriteriaMet
WaitUntilEventCriteriaNotMet
tags
Array
A list of tags to retrieve events for.
Usage
This example provides an estimate for a query that returns the values in the ActivityId and ContactKey columns for contacts that failed to enter a journey. The query is limited to a specific time period.
The response lists the approximate number of rows in the result set. It also provides an estimate of the compressed and uncompressed file size in bytes.